<script>
    import { goto } from '$app/navigation';    
    /**
	 * @type {any}
	 */
    let text;
    /**
	 * @param {{ target: { files: any[]; }; }} e
	 */
    async function uploadJSON(e) {
        const file = e.target.files[0];
        if (file == null)
            return; // If user cancels file selection

        text = await file.text();
        const json = JSON.parse(text);
        goto('/animations', { state: json });
        console.log("JSON : ", json)
    }

</script>

<body class="container">
    <nav>
        <ul>
            <li><h1>TN'Event Manuel</h1></li>
        </ul>
    </nav>
	<main class="container">
        <label for="upload">Upload du fichier JSON d'entrée :</label>
		<input id="upload" type="file" class="margin-left-5" on:change={uploadJSON} accept="application/json"/>
	</main>
</body>
